SwordEmitter2 = {}
SwordEmitter2.__index = SwordEmitter2

function SwordEmitter2.LoadAssets(me)
	LoadModel(me,"Square","Billboard","BlueCircle.png")
	--LoadModel(me,"Fire.png","Sprite")
end

function SwordEmitter2:Params(me)
	SetMaxSize(me,20)
end

function SwordEmitter2:Create(me)
	Persistant(me,true)
	Emit(me,10)
end

function SwordEmitter2:Update(me)
	EmitterGlobalAlpha(me,GetOverSoul()/100)
	--EmitterGlobalAlpha(me,1)
	LerpLine(me, 0, 10)
end